org.keycloak.models.map.authorization.adapter

## Class AbstractResourceServerModel<E extends AbstractEntity>

- java.lang.Object
- - org.keycloak.authorization.model.AbstractAuthorizationModel
  - - org.keycloak.models.map.authorization.adapter.AbstractResourceServerModel<E>

- All Implemented Interfaces:
    ResourceServer
  Direct Known Subclasses:
    MapResourceServerAdapter

      public abstract class AbstractResourceServerModel<E extends AbstractEntity>
      extends AbstractAuthorizationModel
      implements ResourceServer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.model.ResourceServer

      `ResourceServer.SearchableFields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entity`

    - ### Fields inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `storeFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceServerModel(E entity, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `throwExceptionIfReadonly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.model.ResourceServer

      `getDecisionStrategy, getId, getPolicyEnforcementMode, isAllowRemoteResourceManagement, setAllowRemoteResourceManagement, setDecisionStrategy, setPolicyEnforcementMode`

- - ### Field Detail

    - #### entity

          protected final E extends AbstractEntity entity

  - ### Constructor Detail

    - #### AbstractResourceServerModel

          public AbstractResourceServerModel(E entity,
                                             StoreFactory storeFactory)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.